%global pypi_name gitlab-users

Summary:        Python module to interface with %{pypi_name}
Name:           python-%{pypi_name}
Version:        0.8.4
Release:        1%{?dist}
License:        MIT
URL:            https://pypi.org/project/gitlab-users/
# https://files.pythonhosted.org/packages/38/06/56aab6af40959302dae1ccff4fe2ffe841352989076f71d642cd70a5b15b/gitlab-users-0.8.4.tar.gz
Source0:        %{pypi_name}-%{version}.tar.gz
Source1:        https://python-gitlab.readthedocs.io/_/downloads/en/v1.15.0/htmlzip/python-gitlab-readthedocs-io-en-v1.15.0.zip
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  unzip
BuildArch:      noarch

%description
A simple command line interface to manage GitLab user accounts, based on python-gitlab.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A simple command line interface to manage GitLab user accounts, based on python-gitlab.

%prep

%setup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

unzip -q %{SOURCE1}

%build
%py3_build

%install
%py3_install

install -d %{buildroot}%{_sysconfdir}
cat > %{buildroot}%{_sysconfdir}/python-gitlab.cfg << EOF
[global]
default = somewhere
ssl_verify = true
timeout = 5
api_version = 3

[somewhere]
url = https://some.whe.re
private_token = vTbFeqJYCY3sibBP7BZM
api_version = 4

[elsewhere]
url = http://else.whe.re:8080
private_token = CkqsjqcQSFH5FQKDccu4
timeout = 1
EOF

%files -n python3-%{pypi_name}
%doc CHANGELOG.md example.csv README.rst
%doc python-gitlab-v*/*
%license LICENSE
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/python-gitlab.cfg
%{_bindir}/gitlab-users
%{python3_sitelib}/gitlab_users/
%{python3_sitelib}/gitlab_users-%{version}-py?.?.egg-info

%changelog
* Thu Mar 19 2020 Oden Eriksson <oden.eriksson@vattenfall.com> - 0.8.4-1
- initial package

